Creates a new leave request.

Request

POST http:///api/v2/business/{businessId}/manager/{employeeId}/leaverequest

Path parameters

Parameter name Value Description Additional
employeeId int32 Required
businessId string Required

Request body

The request body takes a complete ManagerLeaveApplicationModel resource, containing the following writable properties:

{
    "attachment": "byte",
    "attachmentId": "int32",
    "filename": "string",
    "fromDate": "date",
    "hours": "double",
    "id": "int32",
    "leaveCategoryId": "int32",
    "notes": "multiline",
    "toDate": "date",
    "units": "double"
}

Properties

Name Type Description
attachment byte Byte[]
attachmentId int32 Nullable
filename string String
fromDate date DateTime
hours double Decimal
id int32 Int32
leaveCategoryId int32 Nullable
notes multiline String
toDate date DateTime
units double Decimal

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

ManagerLeaveRequestModel
400 Bad Request

Bad Request

ProblemDetails